#ifndef ALBUM_H
#define ALBUM_H

#include "OviMusicExport.h"
#include "Item.h"

namespace Ovi {

/*!
 * \class Collection
 *
 * \brief A class that represents an Collection.
 */
class OVIMUSICAPISHARED_EXPORT Collection : public Item
{
    friend class ItemFactory;

    Q_OBJECT

public:
    GetStreamUrlsCommand* fullLengthStreamUrls() const;

protected:
    Collection(const QSharedPointer<ICallBuilderFactory> &callFactory, const Account* account, const QVariantMap& properties);
};

class OVIMUSICAPISHARED_EXPORT Single : public Collection { };
class OVIMUSICAPISHARED_EXPORT Album : public Collection { };

} /* end Ovi namespace */

Q_DECLARE_METATYPE(Ovi::Collection*)

#endif // ALBUM_H
