#ifndef COMMAND_H
#define COMMAND_H

#include "OviMusicExport.h"
#include <QObject>
#include <QMetaType>

namespace Ovi {

class RequestStatus;
class CommandPrivate;

/*!
 * \class Command
 *
 * \brief Abstract Command class for executable commands.
 */
class OVIMUSICAPISHARED_EXPORT Command : public QObject
{
    Q_OBJECT

    Q_ENUMS(Response);

    Q_PROPERTY(Ovi::RequestStatus * status READ status CONSTANT)
    Q_PROPERTY(Ovi::Command::Response response READ response)

public:
    enum Response
    {
        NoResponse,
        SuccessResponse,
        PaymentRequiredResponse,
        ErrorResponse
    };

    ~Command() = 0;

    RequestStatus *status() const;
    Response response() const;

protected:
    Command(CommandPrivate *d, QObject *parent=0);

protected:
    QScopedPointer<CommandPrivate> d_ptr;
};

}  /* end Ovi namespace */

Q_DECLARE_METATYPE(Ovi::Command*)
Q_DECLARE_METATYPE(Ovi::Command::Response)

#endif // COMMAND_H
