#ifndef GETSTREAMURLSCOMMAND_H
#define GETSTREAMURLSCOMMAND_H

#include "Command.h"
#include <QMetaType>
#include <QUrl>

namespace Ovi {

class ICallBuilderFactory;
class GetStreamUrlsRequest;
class GetStreamUrlsCommandPrivate;

/*!
 * \class GetStreamUrlsCommand
 *
 * \brief Class for executing a get stream urls for music releases action.
 */
class OVIMUSICAPISHARED_EXPORT GetStreamUrlsCommand : public Command
{
    Q_OBJECT

    friend class GetStreamUrlsCommandTest;

public:
    ~GetStreamUrlsCommand();

    Q_INVOKABLE int count() const;
    Q_INVOKABLE QString releaseId(int index) const;
    Q_INVOKABLE QUrl fullLengthStreamUri(int index) const;

private:
    GetStreamUrlsCommand(GetStreamUrlsCommandPrivate *d);

private:
    Q_DECLARE_PRIVATE(GetStreamUrlsCommand);
};

} /* end Ovi namespace */

Q_DECLARE_METATYPE(Ovi::GetStreamUrlsCommand*)

#endif // GETSTREAMURLSCOMMAND_H
