#ifndef PAYMENTINFO_H
#define PAYMENTINFO_H

#include "OviMusicExport.h"
#include <QObject>
#include <QMetaType>

namespace Ovi {

    class PaymentInfoPrivate;

class OVIMUSICAPISHARED_EXPORT PaymentInfo : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString paymentModel READ paymentModel CONSTANT)
    Q_PROPERTY(QString orderId READ orderId CONSTANT)
    Q_PROPERTY(QString productId READ productId CONSTANT)

public:
    ~PaymentInfo();
    QString paymentModel() const;
    QString orderId() const;
    QString productId() const;

private:
    PaymentInfo(PaymentInfoPrivate *d);

private:
    Q_DECLARE_PRIVATE(PaymentInfo);

private:
    QScopedPointer<PaymentInfoPrivate> d_ptr;
};

} /* end Ovi namespace */

Q_DECLARE_METATYPE(Ovi::PaymentInfo*)

#endif // PAYMENTINFO_H
