#ifndef PURCHASESUBSCRIPTIONCOMMAND_H
#define PURCHASESUBSCRIPTIONCOMMAND_H

#include "Command.h"

#include <QMetaType>

namespace Ovi {

    class PurchaseSubscriptionCommandPrivate;
    class PaymentInfo;

/*!
 * \class PurchaseSubscriptionCommand
 *
 * \brief Class for executing a subscription purchase action.
 */
class OVIMUSICAPISHARED_EXPORT PurchaseSubscriptionCommand : public Command
{
    Q_OBJECT

    Q_PROPERTY(double creditBalance READ creditBalance NOTIFY creditBalanceChanged)
    Q_PROPERTY(Ovi::PurchaseSubscriptionCommand::Response response READ response)

public:
    ~PurchaseSubscriptionCommand();

    /*!
     * Credit balance.
     */
    Q_INVOKABLE double creditBalance() const;

    Q_INVOKABLE Ovi::PaymentInfo *paymentInfo() const;

signals:
    void creditBalanceChanged();

private:
    PurchaseSubscriptionCommand(PurchaseSubscriptionCommandPrivate *d);

private:
    Q_DECLARE_PRIVATE(PurchaseSubscriptionCommand);
};

} /* end Ovi namespace */

Q_DECLARE_METATYPE(Ovi::PurchaseSubscriptionCommand*)

#endif // PURCHASESUBSCRIPTIONCOMMAND_H
