#ifndef STOREINFO_H
#define STOREINFO_H

#include <QSharedDataPointer>
#include <QLocale>

#include "OviMusicExport.h"

namespace Ovi {

class StoreInfoPrivate;

/*!
 * \class StoreInfo
 *
 * \brief Information about a music store.
 */
class OVIMUSICAPISHARED_EXPORT StoreInfo
{
    friend class StoreInfoBuilder;
public:
    StoreInfo();
    StoreInfo(const StoreInfo &info);
    StoreInfo &operator=(const StoreInfo &info);
    ~StoreInfo();

    QString title() const;
    QString countryCode() const;
    QList<QLocale::Language> languages() const;
    QString storeStatus() const;
    QString redirectCode() const;

private:
    QSharedDataPointer<StoreInfoPrivate> d;
};

} /* end Ovi namespace */

#endif //STOREINFO_H
