#ifndef STOREFEED_H
#define STOREFEED_H

#include <QObject>

#include "OviMusicExport.h"
#include "StoreInfo.h"

namespace Ovi {

class RequestStatus;

/*!
 * \class StoreInfoList
 *
 * \brief Provides access to the available stores.
 *
 * A feed is created by calling StoreFactory::getStores().
 *
 * Getting the store information is asynchronous, and is not available 
 * until the finished() signal is emitted.
 */
class OVIMUSICAPISHARED_EXPORT StoreInfoList : public QObject
{
    Q_OBJECT

    Q_PROPERTY(Ovi::RequestStatus * status READ status CONSTANT)

public:
    StoreInfoList(QObject *parent=0);
    virtual ~StoreInfoList();

    /*!
     * Get the information for available stores.
     */
    virtual QList<StoreInfo> stores() const = 0;

    virtual RequestStatus *status() const = 0;
};

} /* end Ovi namespace */

#endif //STOREFEED_H
