#ifndef STREAMURLRELEASE_H
#define STREAMURLRELEASE_H

#include "OviMusicExport.h"

#include <QObject>
#include <QString>
#include <QMetaType>
#include <QSharedDataPointer>

namespace Ovi {

class StreamUrlReleasePrivate;

/*!
 * \class StreamUrlRelease
 *
 * Holds the information for a get stream URLs release request.
 */
class OVIMUSICAPISHARED_EXPORT StreamUrlRelease : public QObject
{
    Q_OBJECT

    Q_ENUMS(ReleaseIdType)
    Q_PROPERTY(ReleaseIdType type READ type WRITE setType)
    Q_PROPERTY(QString musicId READ musicId WRITE setMusicId)

public:
    enum ReleaseIdType
    {
        None,
        ReleaseId,
        PlaylistId
    };

    StreamUrlRelease(QObject *parent=0);
    ~StreamUrlRelease();

   const Ovi::StreamUrlRelease::ReleaseIdType& type() const;
   void setType(const Ovi::StreamUrlRelease::ReleaseIdType& type);
   const QString& musicId() const;
   void setMusicId(const QString& id);

private:
    StreamUrlRelease(const StreamUrlRelease *other, QObject *parent=0);

private:
    QSharedDataPointer<StreamUrlReleasePrivate> d;
};

} /* end Ovi namespace */

Q_DECLARE_METATYPE(Ovi::StreamUrlRelease*)
Q_DECLARE_METATYPE(Ovi::StreamUrlRelease::ReleaseIdType)

#endif // STREAMURLRELEASE_H
