#ifndef STREAMURLRELEASES_H
#define STREAMURLRELEASES_H

#include "OviMusicExport.h"
#include "StreamUrlRelease.h"

#include <QObject>
#include <QString>
#include <QMetaType>
#include <QSharedDataPointer>
#include <QDeclarativeListProperty>

namespace Ovi {

class StreamUrlReleasesPrivate;

/*!
 * \class StreamUrlReleases
 *
 * Holds the information for a get stream URLs request to be sent by account.
 */
class OVIMUSICAPISHARED_EXPORT StreamUrlReleases : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QDeclarativeListProperty<Ovi::StreamUrlRelease> releases READ releases)

public:
    StreamUrlReleases(QObject *parent=0);
    ~StreamUrlReleases();

   QDeclarativeListProperty<Ovi::StreamUrlRelease> releases();

   void addRelease(const QString &releaseId);
   void addPlaylist(const QString &playlistId);

public:
    Q_INVOKABLE int count() const;
    Q_INVOKABLE Ovi::StreamUrlRelease::ReleaseIdType releaseIdType(int index) const;
    Q_INVOKABLE QString id(int index) const;

private:
    StreamUrlReleases(const StreamUrlReleases *other, QObject *parent=0);
    static void append_release(QDeclarativeListProperty<Ovi::StreamUrlRelease> *list, Ovi::StreamUrlRelease *release);

private:
    QSharedDataPointer<StreamUrlReleasesPrivate> d;
};

} /* end Ovi namespace */

Q_DECLARE_METATYPE(Ovi::StreamUrlReleases*)

#endif // STREAMURLRELEASES_H
