.pragma library

function getValueFromStringOrArray (obj) {
    var result = "";
    if (typeof obj === "object" && obj !== null && typeof obj.length !== "undefined" && obj.length > 0) {
        result = obj[0];
    } else if (typeof obj === "string") {
        result = obj;
    }
    return result;
}

// sort comparator for arrays containing objects to be sorted by their title property
function sortAlphaByTitle(a, b) {
    var A = a.title.toLowerCase();
    var B = b.title.toLowerCase();
    if (A < B){
        return -1;
    }else if (A > B){
        return  1;
    }else{
        return 0;
    }
}

// sort comparator for arrays containing objects to be sorted by their translatedCountry property
function sortAlphaByTranslatedCountry(a, b) {
    var A = a.translatedCountry.toLocaleLowerCase();
    var B = b.translatedCountry.toLocaleLowerCase();
    if (A < B){
        return -1;
    }else if (A > B){
        return  1;
    }else{
        return 0;
    }
}


function getPreSelectedTerritoryIndex(countryModel) {

    var mcc = API.settings.getMCC(),
        cc,
        result = -1,
        i = (typeof countryModel !== "undefined" && typeof countryModel.count === "number") ? countryModel.count : 0;

    // hardcode hack test!
    // mcc = "234";

    if (typeof mcc === "string" && mcc.length === 3) {

        cc = lookupTables.getValueFromKey("MCC_CC", mcc);

        if (typeof cc === "string" && cc.length === 2) {
	    while((i -= 1)) {
	        if (countryModel.get(i).countryCode === cc) {
	            result = i;
	            console.log("matched country code in model at index " + i);
	            break;
	        }
	    }
        }
    }
    return result;
}

