.pragma library

//Takes a localised string containing parameter placeholders and inserts an array of params in the corresponding slots
//Example localised resource: "I am going to insert {0} params into these {1} sentences. Here is the {2} sentence."
//Example usage: insertParams("localisedResource", [3, 2, "second"])
//Expected result: "I am going to insert 3 params into these 2 sentences. Here is the second sentence."
function insertParams (string, parameters) {
    var item, placeholder;
    if (typeof string !== "undefined" && string !== null) {
        for (item in parameters) {
            if (parameters[item] !== undefined && parameters[item] !== null) {
                parameters[item] += "";
                placeholder = "{" + item + "}";
                string = string.replace(placeholder, parameters[item]);
            }
            else {
                console.log("Parameter not found for insertion, please investigate");
                //If parameter is invalid, just replace the placeholder text with empty string
                placeholder = "{" + item + "}";
                string = string.replace(placeholder, "");
            }
        }
        return string;
    } else {
        console.log("Localised resource for parameter insertion was undefined or null, returning empty string");
        return "";
    }
}
