import Qt 4.7
import "components"
import "components/asgard"

Page {
    id: errorView
    property string title: 'ErrorView'
    objectName: "error"
    property string viewHeader: (context) ? context : qsTranslate("ErrorView","t[HeaderText");

    //break the binding to the pageStack variable
    Component.onCompleted: context = context;

    Rectangle {
        id: viewRoot
        height: childrenRect.height
        width: window.width
        color: 'transparent'

    GroupHeader {
        id: errorHeader

        headerType: 'headerTwo'
        anchors.top: viewRoot.top
        anchors.topMargin: 16
        text: viewHeader
    }

    BodyText {
        id: errorText

        anchors.top: errorHeader.bottom
        anchors.topMargin: 16
        width: parent.width - 32
        anchors.horizontalCenter: parent.horizontalCenter
        wrapMode: Text.Wrap
        text: qsTranslate("ErrorView","t[BodyText");
    }

    Button {
        id: retryButton

        text: qsTranslate("ErrorView","t[TryAgain");
        width: 322
        anchors.top: errorText.bottom
        anchors.topMargin: 16
        anchors.horizontalCenter: parent.horizontalCenter
        onClicked: {
            window.loadPage(currentViewComponent, viewLoadContext);
        }
    }
}
}
