import Qt 4.7

import "components"
import "components/asgard"
import "../javascript/APIWrapper.js" as API

Page {
    id: genreHubView
    property string title: qsTranslate("GenreHubView","t[PageTitle")
    objectName: "genre hub"


    function primaryCb () {
        primaryReady = true;
    }

    function primaryEb () {
        window.showError(qsTranslate("GenreHubView","t[Genres"));
    }

    property bool primaryReady: false;

    ListModel {
        id: genreListModel
        Component.onCompleted: {
            var genreListURI = API.getGenreListURI();
            API.loadGenreList(genreListURI, genreListModel, primaryCb, primaryEb);
        }
    }

    Flickable {
        id: flick
        anchors.fill: parent
        contentWidth: contentItem.childrenRect.width
        contentHeight: contentItem.childrenRect.height + theme.bottomPadding
        flickableDirection: Flickable.VerticalFlick
        clip: true

        //View header
        GroupHeader {
            id: genreHubViewHeaderPanel
            headerType: 'headerTwo'
            topMargin: 10
            text: qsTranslate("GenreHubView","t[Genres");
        }

        //Primary load indication
        Item {
            height: (visible) ? window.height : 0
            width: window.width
            visible: !primaryReady

            Spinner {
                id: primarySpinner
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
                dimension: 170
                visible: !primaryReady
            }
        }


        //View contents
        Rectangle {
            id: viewRoot
            height: childrenRect.height
            anchors.top: genreHubViewHeaderPanel.bottom
            anchors.topMargin: 10
            width: window.width
            color: 'transparent'
            visible: primaryReady

    	    Column {
	        id: genreListColumn
                objectName: "genreList"

	        anchors.top: genreHubViewHeaderPanel.bottom
	        height: childrenRect.height
                width: parent.width

	        Repeater {
	            id: genreList                                        

	            model: genreListModel
                    width: parent.width

	            ListItem {
	                id: genreComponent
    	                linkId: genreId
	                linkText1: title
                        width: genreList.width
	                onClicked: window.nextPage(genreHomeViewComponent, {genreName: linkText1, genreId: linkId});
	            }
	        }
	    }
	}
    }
}
