import Qt 4.7
import "components"
import "components/asgard"

Page {
    id: opeHeaderView

    onActivated: {
        console.log("OPEHeaderView opened!");
        console.log("context.albumArt100: " + context.albumArt100);
        console.log("context.collectionOrSongName: " + context.collectionOrSongName);
        console.log("context.artistName: " + context.artistName);
        console.log("context.collectionNameOrNumberOfSongs: " + context.collectionNameOrNumberOfSongs);
        console.log("context.productId: " + context.productId);
        console.log("scroller.contentWidth: " + scroller.contentWidth);
        console.log("scroller.contentHeight: " + scroller.contentHeight);
        console.log("productInfo.width: " + productInfo.width);
        console.log("productInfo.height: " + productInfo.height);
        console.log("container.width: " + container.width);
        console.log("container.height: " + container.height);
        console.log("opeHeaderView.width: " + opeHeaderView.width);

        opePage.doCheckout("MusicDD-1388", opeHeaderView, opePage.ShowSpinner, opePage.ShowSpinner)
    }


    Flickable {
        id: scroller
        contentWidth: parent.width
        contentHeight: contentItem.childrenRect.height + theme.bottomPadding
        flickableDirection: Flickable.VerticalFlick
        clip: true
        anchors.fill: parent

        Rectangle {
            id: productInfo
            width: parent.width
            height: childrenRect.height
            anchors.top : parent.top
            anchors.topMargin: 10
            color: 'transparent'

            Item {
                id: container
                width: parent.width - 180
                height: childrenRect.height

                WebImage {
                    id: productImage
                    height: 180
                    width: 180
                    imageSource: context.albumArt100
                    anchors.left: parent.left
                    anchors.leftMargin: 16
                }

                BodyText {
                    id: collectionOrSong
                    anchors.left: productImage.right
                    anchors.leftMargin : 16
                    anchors.top : productImage.top
                    width: parent.width
                    elide: "ElideRight"
                    color: theme.tertiaryColor
                    text: context.collectionOrSongName
                    font.pixelSize: 32
                }

                BodyText {
                    id: artist
                    anchors.top : collectionOrSong.bottom
                    anchors.left: collectionOrSong.left
                    width: parent.width
                    objectName: "tracks or length"
                    font.pixelSize: 24
                    elide: "ElideRight"
                    color: theme.tertiaryColor
                    text: context.artistName
                }

                BodyText {
                    id: collectionNameOrNumberOfSongs
                    anchors.top : artist.bottom
                    anchors.left: artist.left
                    width: parent.width
                    font.pixelSize: 24
                    elide: "ElideRight"
                    color: theme.tertiaryColor
                    text: context.collectionNameOrNumberOfSongs
                }
            }
        }
    }
}
