import Qt 4.7
import "components"
import "components/asgard"
import com.nokia.qmlcomponents 1.0

Page {
    id: ssotester

    property variant myCommand;

    Connections {
        target: sso
        onSignInSuccessful: {
            console.log("Sign in succesful.");
        }
        onSilentSignInFailed: {
            console.log("Silent sign in failed.");
        }
        onSignInFailed: {
            console.log("Sign in failed.");
        }
    }

    GroupHeader {
        id: title
        headerType: 'headerTwo'
        text: "SSO Test View"
        width: parent.width
        anchors.top: parent.top
    }

    Grid {
        id: grid
        columns: 2
        spacing: 10
        anchors.top: title.bottom

        Button {
            id: signInButton
            text: "Sign in"
            onClicked: { sso.signIn(); }
        }
        
        Button {
            id: uiButton
            text: "Launch UI"
            onClicked: { sso.launchSignInUi(); }
        }        

        Button {
            id: closeButton
            text: "close"
            onClicked: { sso.close(); }
        }        


        Button {
            id: dlButton
            text: "Test Pin Redeem"
            onClicked: {
                myCommand = store.account.redeemCreditPin("12345");
                console.log("************MYCOMMAND: " + myCommand);
                var conn = connContainer.createObject(ssotester);
            }
        }
    }

    Component {
        id: connContainer
        Connections {
            target: myCommand;
            onCreditBalanceChanged: {
                if(myCommand.status == /*RequestStatus::Success*/ 2) {
                    if (myCommand.commerceError() == /*NoCommerceError*/ 0) {
                        console.log("******************COMMAND FINISHED: " + myCommand.creditBalance());
                    }
                }
            }
        }
    }
}
