import Qt 4.7

Rectangle {
    id: container
    width: parent.width
    property string bannerText: ""
    height: 144
    gradient: Gradient {
        GradientStop { position: 0.0; color: theme.themeColor }
        GradientStop { position: 1.0; color: theme.themeColor }
    }
    state: window.state


    states: [
        State {
            name: "Landscape"
            PropertyChanges {
                target: container
                height: 144
            }
        },
        State {
            name: "Portrait"
            PropertyChanges {
                target: container
                height: 320
            }
        },
        State {
            name: "LandscapeInverted"
            extend: "Landscape"
        },
        State {
            name: "PortraitInverted"
            extend: "Portrait"
        }
    ]


    Text {
        text: bannerText
        font.pixelSize: 56
        wrapMode: Text.Wrap
        font.family: theme.primaryFont
        width: parent.width
        height: parent.height
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 20
        anchors.rightMargin: 20
        verticalAlignment: Text.AlignVCenter
        color: "#fff"
    }
}
