import Qt 4.7

Rectangle {
    id: buttonRoot

    property string normalIcon;
    property string activeIcon;
    property bool btnEnabled;
    property bool selected;
    property bool showDisabledState;

    signal clicked;

    color: "#00FFFFFF"
    width: 48
    height: 48

    Image {
        id: activeImage
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        source: activeIcon
        visible: false
    }

    Image {
        id: normalImage
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        source: normalIcon
        opacity: 1
    }

    MouseArea {
        id: mouseArea;
        anchors.fill: parent;
        hoverEnabled: false;
        onClicked: buttonRoot.clicked()
    }

    states: [
        State {
            name: "disabled"
            when: btnEnabled == false && showDisabledState == true
            PropertyChanges { target: normalImage; opacity: 0.3}
        },
        State {
            name: "selected"
            when: selected == true
            PropertyChanges { target: normalImage; visible: false}
            PropertyChanges { target: activeImage; visible: true}
        },
        State {
            name: "pressed"
            when: mouseArea.pressed && btnEnabled == true
            PropertyChanges { target: normalImage; visible: false}
            PropertyChanges { target: activeImage; visible: true}
        }
    ]

    transitions: [
        Transition {
            NumberAnimation { target: normalImage; properties: "opacity"; easing.type: Easing.OutQuad; duration: 200 }
        }
    ]
}
