/**
  * ProductLink is not strictly in the toolkit with this size image (100x100)
  * but it is defined with smaller images.
  *
  * Properties for a listItem include:
  *     - linkText1 (string)
  *     - linkText2 (string)
  *     - linkText3 (string)
  *     - packshotUrl (string)
  *
  */

import Qt 4.7

Rectangle {
    id: container

    property string packshotUrl: "";
    property string linkText1: "";
    property string linkText2: "";
    property string linkText3: "";
    property bool isLink: true;

    signal clicked;

    height: 116
    width: window.width
    color: (isLink === true) ? ((mouseArea.pressed === false) ? 'transparent' : theme.hoverColor) : 'transparent'

    MouseArea {
        id: mouseArea;
        anchors.fill: parent;
        onClicked: container.clicked()
    }

    Item {
        width: parent.width
        anchors.fill: parent
        anchors.verticalCenter: parent.verticalCenter
        anchors.leftMargin: 16

        WebImage {
            id: productImage
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            height: 100
            width: 100
            imageSource: packshotUrl
        }

        Item {
            height: childrenRect.height
            width: parent.width - 116
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: productImage.right
            anchors.leftMargin: 16

            Text {
                id: text1

                text: linkText1
                width: parent.width - 16
                font.pixelSize: 26
                font.bold: true
                elide: Text.ElideRight
                font.family: theme.primaryFont
                color: theme.primaryColor

            }
            Text {
                id: text2

                text: linkText2
                height: (linkText2 == "") ? 0 : 22
                width: parent.width - 16
                anchors.top: text1.bottom
                anchors.topMargin: 5
                font.pixelSize: 22
                font.family: theme.primaryFont
                color: theme.secondaryColor
                elide: Text.ElideRight
            }
            Text {
                id: text3

                text: linkText3
                height: (linkText3 == "") ? 0 : 22
                width: parent.width - 16
                anchors.top: text2.bottom
                anchors.topMargin: 5
                font.pixelSize: 22
                font.family: theme.primaryFont
                color: theme.secondaryColor
                elide: Text.ElideRight
            }
        }
    }
}
