import Qt 4.7

Rectangle {
    id: progressBar
    property alias value: progressModel.value
    property bool unknownDuration: false

    width: parent.width
    height:  6
    radius: 2
    color: "#ffffff"
    clip: true

    Rectangle {
        id: progressingBar
        width: progressModel.position
        height: parent.height
        radius: parent.radius
        color: "#2565C7"
        Behavior on width {
            NumberAnimation {
                duration: 500
                easing.type: Easing.Linear
            }
        }
    }

    Image {
        id: unknownBar
        width: parent.width
        height: 20
        y: 0
        visible: unknownDuration
        fillMode: Image.Tile
        source: "../../images/unknownBar.png"
    }

    SequentialAnimation {
        id: unknownBarAnimation
        loops: Animation.Infinite
        running: unknownDuration
        NumberAnimation {
            target: unknownBar
            property: "y"
            duration: 500
            easing.type: Easing.Linear
            from: 0
            to: -12
        }
        ScriptAction {script: unknownBar.y = 0;}
    }


    ProgressModel {
        id: progressModel
        positionAtMaximum: progressBar.width
    }
}
