import Qt 4.7

Item {
    id: similarArtistContainer
    
    width: parent.width
    height: 0

    property string parentArtistId: "0"        
    property int artistModelCount: 0;    
    
    signal similarArtistsClicked;
    
    onArtistModelCountChanged: {
        if(artistModelCount >= 1) {
            showElement();
        }
    }
    
    function showElement() {;
        height = 50
        similarArtistDelegate.createObject(similarArtistContainer);
    }
    
    Component {
        id: similarArtistDelegate
        
        Item {         
            anchors.top: similarArtistContainer.top
            anchors.bottom: similarArtistContainer.bottom
            anchors.right: similarArtistContainer.right
            anchors.left: similarArtistContainer.left    
            
            Text {
                id: similartArtistsText
                text: "Similar artists"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left    
            }
            
            Image {
                id: similarArtistsLinkArrow
                source: "../../images/linkArrow.png"
                anchors.verticalCenter: parent.verticalCenter
                anchors.right: parent.right
            }
            
            MouseArea {
                anchors.fill: parent
                onClicked: {            
                    similarArtistsClicked()
                }
            }
        }
    }
    
    JsonListModel {
        id: similarArtistsModel
        source: "http://api.music.ovi.com/1.0/gb/artists/" + parentArtistId + "/similar/?format=json&itemsperpage=1&token=04975228-bff5-4db0-83e7-e370250c6787"
        query: "items"
        
        JsonRole { name: "name"; query: "name" }
    }
    
    Binding { target: similarArtistContainer; property: "artistModelCount"; value: similarArtistsModel.modelCount }
}
