/**
  * Spinner provides the spinner component from Meego toolkit.
  * Possible values are:
  *     - dimension (width/height dimension for the spinner)
  *
  * NB: We will pissible need some different background colors for the squircleMask in the future
  */

import Qt 4.7

Rectangle {
    id: squircleContainer

    property int dimension: 170
    property int displayLatency: 500

    width: dimension
    height: dimension
    opacity: 0

    function reset () {
        squircleContainer.opacity = 0;
        visibilityTimer.restart()
    }

    onVisibleChanged: {
        if (visible == true) {
            reset();
        }
    }

    Timer {
        id: visibilityTimer
        interval: displayLatency; running: true; repeat: false
        onTriggered: squircleContainer.opacity = 1;
    }

    Image {
        id: squircleGrad

        anchors.centerIn: parent
        width: squircleContainer.width
        height: squircleContainer.height
        fillMode: Image.PreserveAspectFit
        source: "../../images/squircleGrad.png"
        smooth: true

        RotationAnimation on rotation {
            id: rotationAnim

            running: squircleContainer.visible
            loops: Animation.Infinite
            duration: 2500
            from: 0
            to: 360
        }
    }

    Image {
        id: squircleMask

        anchors.centerIn: parent
        width: squircleContainer.width
        height: squircleContainer.height
        fillMode: Image.PreserveAspectFit
        source:  "../../images/squircleMask.png"
        smooth: true
    }
}
