/**
  * Not 100% defined but this is the default component to use when loading in an image from the web.
  * The squircle is a placeholder and this component is subject to change.
  *
  * Properties for a WebImage include:
  *     - imageSource (string)
  *
  *     - width (must be set)
  *     - height (must be set)
  *
  */

import Qt 4.7

Rectangle {
    id: container

    property string imageSource: "";
    color: "transparent"

    Image {
        id: spinner
        width: parent.width
        height: parent.height
        fillMode: Image.PreserveAspectFit
        anchors.centerIn: parent
        smooth: true
        source: "../../images/imagePlaceHolder.png"
        visible: true
    }
    Image {
        id: image
        opacity: 0
        x: 7
        y: 1
        source: imageSource
        anchors.fill: parent
        smooth: true
        fillMode: "PreserveAspectFit"
        visible: false
        onStatusChanged: {
            if (status == Image.Ready) parent.state = "showImage"
            else parent.state = ""
        }
    }

    states: [
        State {
            name: "showImage"
            PropertyChanges { target: image; visible: true; opacity: 1}
            PropertyChanges { target: spinner; visible: false }
        }
    ]
}
