import Qt 4.7
import "constants.js" as C

/*
    Class: BusyIndicator
    An indicator component that shows progress of a task of unknown duration.
*/
Item {
    id: root

    /*
     * Property: running
     * [bool=false] Flag indicating whether the indicator is running.
     */
    property bool running: false
    /*
     * Property: size
     * [string=medium] The size of BusyIndicator. Available values: small, medium, large.
     */
    property string size: "medium"

    // path containing the individual frames as .png
    property string __assetPath: "assets/meegotouch-progress-spinner/"
    // number of frames in the current spinner asset
    property int __numberOfFrames: 10
    // duration of animation
    property int __period: 1000

    Image {
        id: spinner
        anchors.centerIn: parent
        property int index: 1
        source: root.__assetPath + "spinner_" + C.SIZE_BUSY_INDICATOR[size] + "_" + spinner.index + ".png"
        NumberAnimation on index {
            from: 1; to: root.__numberOfFrames
            duration: root.__period
            loops: Animation.Infinite
            running: root.running && root.visible
        }
    }
}
