import Qt 4.7
import "ButtonGroup.js" as Behavior

/*
   Class: ButtonColumn
   A ButtonColumn allows you to group Buttons in a column. It provides a selection-behavior as well.

   Note: This component don't support the enabled property.
   If you need to disable it you should disable all the buttons inside it.

   <code>
       ButtonColumn {
           Button { text: "Top" }
           Button { text: "Bottom" }
       }
   </code>
*/
Column {
    id: root

    /*
     * Property: groupType
     * [string="One"] Specifies the grouping behavior. It can be "None", "One", "Many".
     */
    property string groupType: "One" // or "Many" or "None"

    /*
     * Property: checkedButton
     * [string] Contains the last checked Button.
     */
    property variant checkedButton;//: group.selectedValue

    Component.onCompleted: {
        Behavior.create(root, {
            templates: ["meegotouch-button{type}-background{disabled}{state}",
                        "meegotouch-button{type}-background{disabled}{state}-vertical-top",
                        "meegotouch-button{type}-background{disabled}{state}-vertical-center",
                        "meegotouch-button{type}-background{disabled}{state}-vertical-bottom"],
            direction: Qt.Vertical
        });
    }

    Component.onDestruction: {
        Behavior.destroy();
    }

}
