import Qt 4.7
import "ButtonGroup.js" as Behavior

/*
   Class: ButtonRow
   A ButtonRow allows you to group Buttons in a row. It provides a selection-behavior as well.

   Usage of more than the recommended 6 Buttons inside ButtonRow can produce rendering issues.

   Note: This component don't support the enabled property.
   If you need to disable it you should disable all the buttons inside it.

   <code>
       ButtonRow {
           Button { text: "Left" }
           Button { text: "Right" }
       }
   </code>
*/
Row {
    id: root

    /*
     * Property: groupType
     * [string="One"] Specifies the grouping behavior. It can be "None", "One", "Many".
     */
    property string groupType: "One" // or "Many" or "None"

    /*
     * Property: checkedButton
     * [string] Contains the last checked Button.
     */
    property variant checkedButton;

    Component.onCompleted: {
        Behavior.create(root, {
            templates: ["meegotouch-button{type}-background{disabled}{state}",
                        "meegotouch-button{type}-background{disabled}{state}-horizontal-left",
                        "meegotouch-button{type}-background{disabled}{state}-horizontal-center",
                        "meegotouch-button{type}-background{disabled}{state}-horizontal-right"],
        });
    }

    Component.onDestruction: {
        Behavior.destroy();
    }
}
