import Qt 4.7
import "constants.js" as C

/*
   Class: CountBubble
   CountBubble component is a flexible shape that holds a number and can be added in lists or
   notification banners for example.

   WARNING:
   This component does not exist in qt-components, and there is no plan to merge back.
*/

Item {
    id: countBubble

    /*
     * Property: largeSized
     * [bool=false] Use small or large count bubble.
     */
    property bool largeSized: false

    /*
     * Property: value
     * [int=0] Reflects the current value.
     */
    property int value: 0

    width: getBubbleWidth()
    height: largeSized ? 32:24

    BorderImage {
        source: "assets/meegotouch-list/meegotouch-countbubble-background"+(largeSized ? "-large":"")+".png"
        anchors.fill: parent
        border.left: 10; border.top: 10
        border.right: 10; border.bottom: 10
    }

    Text {
        height: parent.height
        y:1
        id: cbText
        color: "#FFFFFF"
        font.family: C.FONT_FAMILY
        anchors.horizontalCenter: parent.horizontalCenter
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: largeSized ? 22:18
        text: countBubble.value
    }

    function getBubbleWidth()
    {
        if (largeSized)
        {
            if (cbText.paintedWidth <= 11)
            {
                return 32;
            }
            else if (cbText.paintedWidth <= 22)
            {
                return 40;
            }
            else if (cbText.paintedWidth <= 33)
            {
                return 52;
            }
            else
            {
                return cbText.paintedWidth+19
            }
        }
        else
        {
            if (cbText.paintedWidth <= 9)
            {
                return 24;
            }
            else if (cbText.paintedWidth <= 18)
            {
                return 30;
            }
            else if (cbText.paintedWidth <= 27)
            {
                return 40;
            }
            else
            {
                return cbText.paintedWidth+13
            }
        }
    }
}
