import Qt 4.7

Item {
    id: root

    property alias content: contentField.children
    property bool modal: true

    signal transitionCompleted

    anchors.fill: parent
    focus: true
    opacity: 1
    visible: false

    MouseArea {
        anchors.fill: parent
        onClicked: {
            if (root.modal) {
                root.state = "hidden";
            }
        }
    }

    Rectangle {
        id: background

        anchors.fill: parent
        color: "black"
        opacity: 0
    }

    Item {
        id: contentField

        anchors.fill: parent
        opacity: 0
    }

    states: [
        State {
            name: "visible"
            PropertyChanges {
                target: background
                opacity: 0.95
            }
            PropertyChanges {
                target: contentField
                opacity: 1
            }
        },
        State {
            name: "hidden"
            PropertyChanges {
                target: background
                opacity: 0
            }
            PropertyChanges {
                target: contentField
                opacity: 0
            }
        }
    ]

    transitions: [
        Transition {
            SequentialAnimation {
                ScriptAction { script: {
                        if (state == "visible") {
                            root.visible = true;
                        }
                    }
                }
                NumberAnimation {
                    id: numAni
                    properties: "opacity";
                    duration: 400;
                }
                // TODO onRunningChanged doesn't work, why?
                // temp workaround
                ScriptAction { script: {
                        if (state == "hidden") {
                            root.visible = false;
                        }
                        root.transitionCompleted();
                    }
                }
            }
        }
    ]
}
