import Qt 4.7
//import "../tests/utils.js" as JS

/*
   Class: SystemBanner
   The SystemBanner component is used to display information to the user. The number of lines of the text
   shouldn't exceed 3 otherwise it will be clipped.

   WARNING:
   This component does not exist in qt-components, and there is no plan to merge back.
*/

Item {
    id: systemBanner

//    MouseArea {
//        anchors.fill: parent
//        onClicked: { return JS.log(systemBanner.parent.width+" "+systemBanner.parent.height+" "+getBannerWidth()
//                                   +" "+bannerText.paintedWidth+" "+bannerText.paintedHeight, "banner") }
//    }

    /*
     * Property: iconSource
     * [string] The path to the icon image to be used.
     */
    property string iconSource: ""

    /*
     * Property: text
     * [string] Text to be displayed in the system banner.
     */
    property alias text: bannerText.text

    height: getBannerHeight()
    width: getBannerWidth()

    BorderImage {
        source: "assets/meegotouch-notifications/meegotouch-notification-system-background.png"
        anchors.fill: systemBanner
        horizontalTileMode: BorderImage.Stretch
        verticalTileMode: BorderImage.Stretch
        border { left: 10; top: 10; right: 10; bottom: 10 }
    }

    Image {
        id: iconImage
        visible: systemBanner.iconSource.length > 0
        anchors { left: parent.left; leftMargin: 16; top: parent.top; topMargin: 16 }
        source: systemBanner.iconSource
    }

    Text {
        id: bannerText
        width: iconImage.visible ? parent.width-46-iconImage.width:parent.width-32
        anchors { left: (iconImage.visible ? iconImage.right : parent.left); leftMargin: (iconImage.visible ? 14:16);
            top: parent.top; topMargin: getTopMargin(); verticalCenter: iconImage.verticalCenter }
        color: "white"
        wrapMode: Text.Wrap
        verticalAlignment: Text.AlignHCenter
        font.pixelSize: 24
        font.family: "Nokia Standard Light"
        font.letterSpacing: -0.5
    }

    states: [
        State {
            name: "landscape"
            //TODO: runtime isn't universal
            //when: runtime.orientation == Orientation.Landscape || runtime.orientation == Orientation.LandscapeInverted
            when: systemBanner.parent.width > systemBanner.parent.height
            PropertyChanges {
                target: systemBanner
                width: getBannerWidth()
            }
        },
        State {
            name: "portrait"
            //TODO: runtime isn't universal
            //when: runtime.orientation == Orientation.Portrait || runtime.orientation == Orientation.PortraitInverted
            when: systemBanner.parent.width < systemBanner.parent.height
            PropertyChanges {
                target: systemBanner
                width: getBannerWidth()
            }
        }
    ]

    function getBannerHeight() {
        if (iconImage.visible) {
            if (bannerText.paintedHeight<=58)
                return 80;
            else
                return 106;
        }
        else {
            if (bannerText.paintedHeight<=29)
                return 64;
            else if (bannerText.paintedHeight<=58)
                return 80;
            else
                return 106;
        }
    }

    function getBannerWidth()
    {
        //TODO: runtime isn't universal
        //if (runtime.orientation == Orientation.Portrait || runtime.orientation == Orientation.PortraitInverted)
        if (parent.width < parent.height)
        {
            return parent.width*0.966;
        }
        else
        {
            if (iconImage.visible)
            {
                if ((iconImage.width+bannerText.paintedWidth+46) <= parent.width*0.54 && bannerText.paintedHeight <= 29)
                {
                    return parent.width*0.54;
                }
                else
                {
                    return parent.width*0.98;
                }
            }
            else
            {
                if ((bannerText.paintedWidth+32) <= parent.width*0.54 && bannerText.paintedHeight <= 29)
                {
                    return parent.width*0.54;
                }
                else
                {
                    return parent.width*0.98;
                }
            }

        }
    }

    function getTopMargin() {
        if (iconImage.visible) {
            if (bannerText.paintedHeight<=29)
                return 23.5;
            else
                return 11.5;
        }
        else {
            if (bannerText.paintedHeight<=29)
                return 14.5;
            else
                return 11.5;
        }
    }
}

