import Qt 4.7
import "ButtonGroup.js" as Behavior
import "AssetLoader.js" as AL

/*
   Class: TabButton

   A button meant to be used inside a TabButtonRow

   <code>
       TabButtonRow {
           TabButton { text: "Tab1", checked: true }
           TabButton { text: "Tab2" }
           TabButton { text: "Tab3" }
       }
   </code>

   The expected iconSource should be 40x40 pixels

   WARNING:
   This component does not yet exist in qt-component, and the APIs are not yet agreed by the community.
   The final APIs may be different.
*/
Button {
    __family: "meegotouch-newtabs"
    // implement orientation
    __bgTemplate: "meegotouch-navigationbar-portrait-bottom-tab-background"
    __type: "tabbarbutton"
    __iconSize: 40
    // implicitHeight: 72
    implicitHeight: parent.height

    Component.onCompleted: {
        console.log("TabButton is still work in progress, final API may be different");
    }

    function __getTextColor() {
        if (state === "pressed") {
            return "#202020";
        } else if (state === "disabled") {
            return "#8F8F8F";
        } else if (state === "selected") {
            return "#FFF";
        } else {
            return "#282828";
        }
    }

    function __getBackground() {
        return AL.getId(__bgTemplate, {
                state: (state === "disabled") ? "" : state,
                family: __family
        });
    }
}
