import Qt 4.7

Item {
    id: toolbarLayout

    width: parent ? parent.width : 0
    height: parent ? parent.height : 0

    function layoutChildren() {
        if (parent == null)
            return

        var numChildren = children.length

        for (i = 0; i < children.length; ++i) {
            children[i].parent = toolbarLayout;
        }

        // |   X   |
        if (numChildren == 1) {
            children[0].x = width / 2 - children[0].width / 2
            return
        }

        // |X ... X|
        var lastChild = children[numChildren-1] ? children[numChildren-1] : undefined;
        if (lastChild) {
            if (parent) {
                lastChild.x = parent.width - lastChild.width;
            }
        }

        // space to be divided between first and last items
        var toolBox = width - (children[0] ? children[0].width : 0) -
            (lastChild ? lastChild.width : 0);
        var childrenToLayout = numChildren - 2;

        // |X  X  X| etc.
        for (var i = 1; i < numChildren - 1; i++) {
            children[i].x = i*(toolBox / (childrenToLayout+1)) - children[i].width / 2 + children[0].width;
        }
    }

    Component.onCompleted: { layoutChildren() }
    onChildrenChanged: { layoutChildren() }
    onWidthChanged: { layoutChildren() }
}
