.pragma library

var getBaseURI = function () {
    var papi = settings.getPAPI(),
        uri = "";

    uri += papi.protocol + "://";
    uri += papi.host + "/";
    uri += papi.version + "/";

    return uri;
};

var getStandardQueryParams = function () {
    var papi = settings.getPAPI(),
        queryStr = "?";

    queryStr += "format=json";
    queryStr += "&token=" + papi.clientDeviceToken;

    return queryStr;
};

// pass in master as true to get the master global service document
var getGSDURI = function (master) {

    var territory,
        uri = getBaseURI() + getStandardQueryParams();

    if (!master) {
        territory = settings.getTerritory();
        if (territory !== settings.FAIL) {
            uri += "&territory=" + territory;
        }
    }
    return uri;
};


var getTopTracksURI = function () {

    var territory = settings.getTerritory(),
        uri = getBaseURI();

    if (territory !== settings.FAIL) {
        uri += territory + "/";
    }

    uri += getStandardQueryParams();
    uri += "&category=track";
    uri += "&orderby=recentdownloads";
    uri += "&sortorder=ascend";
    uri += "&itemsperpage=20";

    return uri;
};

var getTopAlbumsURI = function () {

    var territory = settings.getTerritory(),
        uri = getBaseURI();

    if (territory !== settings.FAIL) {
        uri += territory + "/";
    }

    uri += getStandardQueryParams();
    uri += "&category=album";
    uri += "&orderby=recentdownloads";
    uri += "&sortorder=ascend";
    uri += "&itemsperpage=20";

    return uri;
};


var getProductURI = function (releaseID) {
    var uri = "", territory = settings.getTerritory();
    uri += getBaseURI();
    if (territory != settings.FAIL) {
        uri += (territory + "/");
    }
    uri += ("releases/" + releaseID + "/");
    uri += getStandardQueryParams();
    return uri;
};

