.pragma library

//Converts a date string in iso8601 format to a release date display
function convert (date) {
    var dateObj, releaseDate;
    if (date && typeof date === "string") {
        date = date.replace(/\D/g, " ");
        date = date.split(" ");
        dateObj = new Date(date[0], (date[1] - 1), date[2], date[3], date[4], date[5]);
        //if we have a valid date object, format it
        if (!isNaN(dateObj.getFullYear())) {
            if (dateObj.getMonth() === 0 && dateObj.getDate() === 1) {
                //release date is jan 1st, return year only
                return "" + dateObj.getFullYear();
            }
            else {
                if ((dateObj.getMonth() + 1) < 10) {
                    return dateObj.getFullYear() + "-0" + (dateObj.getMonth() + 1);
                }
                else {
                    return dateObj.getFullYear() + "-" + (dateObj.getMonth() + 1);
                }
            }
        }
        else {
            return "";
        }
    }
    else {
        return "";
    }
}

function convertBack (value) {
    //Convertback method not yet implemented
    console.log("Backward conversion not yet implemented for this converter");
    return "";
}
