import Qt 4.7

Rectangle {
    id: buttonRoot
    property string labelText: "";
    property string btnPosition: "";
    property string iconImage: "";
    property int groupSize: 0;
    property bool btnEnabled: true;
    property bool selected: false;

    signal clicked;

    width: backgroundImage.width
    height: 52
    color: "#00FFFFFF"

    Image {
        id: backgroundImage
        source: if (groupSize == 2) {
            if (btnPosition == "left") {
                if (selected == true) {
                    "../Resources/btnGrp-2-L-select.png";
                } else {
                    "../Resources/btnGrp-2-L.png";
                }
            } else if (btnPosition == "right") {
                if (selected == true) {
                    "../Resources/btnGrp-2-R-select.png";
                } else {
                    "../Resources/btnGrp-2-R.png";
                }
            }
        } else if (groupSize == 3) {
            if (btnPosition == "left") {
                if (selected == true) {
                    "../Resources/btnGrp-3-L-select.png";
                } else {
                    "../Resources/btnGrp-3-L.png";
                }
            } else if (btnPosition == "center") {
                if (selected == true) {
                    "../Resources/btnGrp-3-C-select.png";
                } else {
                    "../Resources/btnGrp-3-C.png";
                }
            } else if (btnPosition == "right") {
                if (selected == true) {
                    "../Resources/btnGrp-3-R-select.png";
                } else {
                    "../Resources/btnGrp-3-R.png";
                }
            }
        } else {
            "../Resources/btnGrp-1.png"
        }
    }

    Text {
        font.capitalization: Font.AllUppercase
        font.pixelSize: 22
        font.family: "Nokia Standard"
        font.bold: true
        color: (selected == true) ? "#FFFFFF" : "#282828"
        elide: Text.ElideRight
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        text: labelText
    }

    Image {
        visible: (iconImage != "") ? true : false
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 1
        source: iconImage
    }

    MouseArea {
        id: mouseArea;
        anchors.fill: parent;
        hoverEnabled: false;
        onClicked: buttonRoot.clicked()
    }
}
