import Qt 4.7

Rectangle {
    id: container

    property string productName: "";
    property string artistName: "";
    property string productPrice: "";
    property bool playing: false;

    signal stopped;
    signal purchased;

    width: parent.width
    height: 76
    color: "#DDDDDD"

    Rectangle {
        height: 1
        width: parent.width
        color: "#7B7B7B"
        anchors.top: parent.top
    }

    Rectangle {
        height: 1
        width: parent.width
        color: "#FFFFFF"
        anchors.top: parent.top
        anchors.topMargin: 1
    }

    MiniPlayerProgress {
        id: progress

        active: parent.playing
        anchors.left: parent.left
        anchors.leftMargin: 15
        anchors.verticalCenter: parent.verticalCenter

        MouseArea {
            anchors.fill: parent
            onClicked: container.stopped()
        }
    }

    Text {
        id: productLabel

        text: productName
        font.pixelSize: 26
        font.family: "Nokia Standard"
        font.bold: true
        color: "#282828"
        width: parent.width - 200
        anchors.left: progress.right
        anchors.leftMargin: 13
        anchors.top: parent.top
        anchors.topMargin: 6
        elide: Text.ElideRight
    }

    Text {
        id: artistLabel

        text: artistName
        font.pixelSize: 22
        font.family: "Nokia Standard Light"
        color: "#505050"
        width: parent.width - 200
        anchors.left: progress.right
        anchors.leftMargin: 13
        anchors.top: productLabel.bottom
        elide: Text.ElideRight
    }

    Rectangle {
        id: downloadBtn

        width: 101
        height: 51
        anchors.right: parent.right
        anchors.rightMargin: 15
        anchors.verticalCenter: parent.verticalCenter

        Image {
            source: "../Resources/miniBtn.png"
        }

        Text {
            text: productPrice
            font.family: "Nokia Standard"
            font.bold: true
            font.pixelSize: 22
            color: "#000000"
            anchors.centerIn: parent
        }

        MouseArea {
            anchors.fill: parent;
            onClicked: container.purchased()
        }
    }
}
