import Qt 4.7

Rectangle {
    id: container

    property bool active: false;

    state: (active == true) ? "running" : "static"
    height: 40
    width: 40
    color: "#00FFFFFF"

    Image {
        source: "../Resources/spinnerFrame.png"
    }

    Image {
        id: stopIcon
        anchors.centerIn: parent
        anchors.horizontalCenterOffset: 1
        source: "../Resources/stopIcon.png"
    }

    Image {
        id: q1
        opacity: 0
        source: "../Resources/spinnerQuarter.png"
    }

    Image {
        id: q2
        source: "../Resources/spinnerQuarter.png"
        opacity: 0
        rotation: 90
    }

    Image {
        id: q3
        source: "../Resources/spinnerQuarter.png"
        opacity: 0
        rotation: 180
    }

    Image {
        id: q4
        source: "../Resources/spinnerQuarter.png"
        opacity: 0
        rotation: 270
    }

    states: [
        State {
            name: "running"
            PropertyChanges { target: q1; opacity: 0}
            PropertyChanges { target: q2; opacity: 0}
            PropertyChanges { target: q3; opacity: 0}
            PropertyChanges { target: q4; opacity: 0}
        },
        State {
            name: "static"
            PropertyChanges { target: q1; opacity: 0}
            PropertyChanges { target: q2; opacity: 0}
            PropertyChanges { target: q3; opacity: 0}
            PropertyChanges { target: q4; opacity: 0}
        }
    ]

    transitions: [
        Transition {
            SequentialAnimation {
                NumberAnimation { target: q1; properties: "opacity"; from: 0; to: 0; duration: 0 }
                NumberAnimation { target: q2; properties: "opacity"; from: 0; to: 0; duration: 0 }
                NumberAnimation { target: q3; properties: "opacity"; from: 0; to: 0; duration: 0 }
                NumberAnimation { target: q4; properties: "opacity"; from: 0; to: 0; duration: 2000 }
                NumberAnimation { target: q1; properties: "opacity"; from: 1; to: 1; duration: 5000 }
                NumberAnimation { target: q2; properties: "opacity"; from: 1; to: 1; duration: 5000 }
                NumberAnimation { target: q3; properties: "opacity"; from: 1; to: 1; duration: 5000 }
                NumberAnimation { target: q4; properties: "opacity"; from: 1; to: 1; duration: 5000 }
                NumberAnimation { target: q1; properties: "opacity"; from: 0; to: 0; duration: 0 }
                NumberAnimation { target: q2; properties: "opacity"; from: 0; to: 0; duration: 0 }
                NumberAnimation { target: q3; properties: "opacity"; from: 0; to: 0; duration: 0 }
                NumberAnimation { target: q4; properties: "opacity"; from: 0; to: 0; duration: 0 }
            }
        }
    ]
}
