import Qt 4.7

Rectangle {
    height: 73
    width: parent.width

    gradient: Gradient {
        GradientStop { position: 0.0; color: "#E8E8E8" }
        GradientStop { position: 0.5; color: "#C2C2C2" }
        GradientStop { position: 1.0; color: "#989898" }
    }

    Rectangle {
        height: 1
        width: parent.width
        color: "#7B7B7B"
        anchors.top: parent.top
    }

    Rectangle {
        height: 1
        width: parent.width
        color: "#FFFFFF"
        anchors.top: parent.top
        anchors.topMargin: 1
    }

    Row {
        id: navBarRoot
        height: 71
        width: parent.width
        anchors.top: parent.top
        anchors.topMargin: 2

        NavBarButton {
            id: backBtn
            btnEnabled: (navHistory.count > 1) ? true : false
            showDisabled: true
            icon: "../Resources/back.png"
            onClicked: if (btnEnabled == true) {
                appRoot.switchView("", "back", "")
            }
        }

        NavBarButton {
            id: homeBtn
            btnEnabled: (navHistory.count > 0 && navHistory.get(navHistory.count - 1).viewName != "Home.qml") ? true : false
            showDisabled: false
            icon: "../Resources/home.png"
            onClicked: if (btnEnabled == true) {
                appRoot.switchView("Home.qml", "forward", "")
            }
        }

        NavBarButton {
            id: categoriesBtn
            btnEnabled: (navHistory.count > 0 && navHistory.get(navHistory.count - 1).viewName != "Categories.qml") ? true : false
            showDisabled: false
            icon: "../Resources/categories.png"
            onClicked: if (btnEnabled == true) {
                appRoot.switchView("Categories.qml", "forward", "")
            }
        }

        NavBarButton {
            id: searchBtn
            btnEnabled: (navHistory.count > 0 && navHistory.get(navHistory.count - 1).viewName != "Search.qml") ? true : false
            showDisabled: false
            icon: "../Resources/search.png"
            onClicked: if (btnEnabled == true) {
                appRoot.switchView("Search.qml", "forward", "")
            }
        }

        NavBarButton {
            id: moreBtn
            type: "more"
            btnEnabled: (navHistory.count > 0 && navHistory.get(navHistory.count - 1).viewName != "More.qml") ? true : false
            showDisabled: false
            icon: "../Resources/more.png"
            onClicked: if (btnEnabled == true) {
                appRoot.switchView("More.qml", "forward", "")
            }
        }
    }
}
