import Qt 4.7

Rectangle {
    id: buttonRoot

    property string icon: "";
    property string type: "";
    property bool btnEnabled: true;
    property bool showDisabled: true;

    signal clicked;

    state: (btnEnabled == false && showDisabled == true) ? "disabled" : "enabled"
    color: "#00FFFFFF"
    width: parent.width / 5
    height: parent.height

    Image {
        id: iconImage
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        source: icon
        opacity: 1
    }

    Rectangle {
        id: downloadsIndicator

        state: (type == "more" && ongoingDownloads > 0) ? "downloading" : "idle"
        height: 22
        width: 22
        anchors.left: iconImage.left
        anchors.top: iconImage.top
        anchors.leftMargin: 25
        anchors.topMargin: 8
        visible: (type == "more" && ongoingDownloads > 0) ? true : false
        opacity: 0
        radius: 11
        border.color: "#CCC"
        border.width: 1
        color: "#1A7FEB"

        Text {
            text: ongoingDownloads
            color: "#FFFFFF"
            font.pixelSize: 14
            font.family: "Nokia Standard Light"
            anchors.centerIn: parent
            anchors.horizontalCenterOffset: 1
        }

        states: [
            State {
                name: "downloading"
                PropertyChanges { target: downloadsIndicator; opacity: 1}
            }
        ]

        transitions: [
            Transition {
                SequentialAnimation {
                    NumberAnimation { target: downloadsIndicator; properties: "opacity"; to: 1; easing.type: Easing.OutQuad; duration: 400 }
                    NumberAnimation { target: downloadsIndicator; properties: "opacity"; to: 0; easing.type: Easing.OutQuad; duration: 400 }
                    NumberAnimation { target: downloadsIndicator; properties: "opacity"; to: 1; easing.type: Easing.OutQuad; duration: 400 }
                }
            }
        ]
    }

    MouseArea {
        id: mouseArea;
        anchors.fill: parent;
        hoverEnabled: false;
        onClicked: buttonRoot.clicked()
    }

    states: [
        State {
            name: "disabled"
            PropertyChanges { target: iconImage; opacity: 0.3}
        }
    ]

    transitions: [
        Transition {
            NumberAnimation { target: iconImage; properties: "opacity"; easing.type: Easing.OutQuad; duration: 200 }
        }
    ]
}
