import Qt 4.7

Rectangle {
    id: container

    property string imageSource: "";

    color: "transparent"

    Image {
        id: spinner
        width: 25
        height: 25
        anchors.centerIn: parent
        smooth: true
        source: "../Resources/wait.png"
        visible: true

        NumberAnimation on rotation {
            id: animation
            from: 0;
            to: 360;
            loops: Animation.Infinite;
            duration: 1200;
        }
    }

    Image {
        id: image
        opacity: 0
        x: 7
        y: 1
        source: imageSource
        anchors.fill: parent
        smooth: true
        fillMode: "PreserveAspectFit"
        visible: false
        onStatusChanged: {
            if (status == Image.Ready) parent.state = "showImage"
            else parent.state = ""
        }
    }

    states: [
        State {
            name: "showImage"
            PropertyChanges { target: image; visible: true; opacity: 1}
            PropertyChanges { target: spinner; visible: false }
            PropertyChanges { target: animation; running: false }
        }
    ]

    transitions: [
        Transition {
            NumberAnimation { target: image; properties: "opacity"; easing.type: Easing.OutQuad; duration: 800 }
        }
    ]
}
