import Qt 4.7
import "../UIComponents"

Flickable {
    id: scroller

    contentWidth: childrenRect.width
    contentHeight: childrenRect.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Item {
        id: viewRoot
        width: appRoot.width
        height: childrenRect.height

        Header1 {
            id: viewHeader
            headerText: "Categories"
        }

        HorizontalRule {
            id: headerRule
            anchors.top: viewHeader.bottom
            width: parent.width
        }

        Column {
            id: linksColumn
            anchors.top: headerRule.bottom
            height: childrenRect.height
            width: parent.width

            Link1 {
                id: genresLink
                linkText1: "Genres"
                onClicked: appRoot.switchView("GenresList.qml", "forward", "")
            }
            Link1 {
                id: mostDownloadedSongsLink
                linkText1: "Most downloaded songs"
                onClicked: appRoot.switchView("MostDownloaded.qml", "forward", "Songs")
            }
            Link1 {
                id: mostDownloadedAlbumsLink
                linkText1: "Most downloaded albums"
                onClicked: appRoot.switchView("MostDownloaded.qml", "forward", "Albums")
            }
            Link1 {
                id: playlistsLink
                linkText1: "Playlists"
                onClicked: appRoot.switchView("PlaylistsList.qml", "forward", "Albums")
            }
        }

    }

}
