import Qt 4.7
import "../UIComponents"
import "../Converters/durationConverter.js" as DurationConverter

import "../API/StoreAPI.js" as StoreAPI

Flickable {
    id: scroller

    property string context: navHistory.get(navHistory.count -1).context;
    property string genreName: "";
    property string topSongsSource: "";
    property string topAlbumsSource: "";

    property int hiddenListItems: (orientation == "portrait") ? 3 : 6

    function init () {
    console.log("genre view got context: " + context);
        topSongsSource = baseStoreURL + "?category=track&genre=" + context + "&format=json&orderby=recentdownloads&sortorder=ascend&itemsperpage=20&token=" + papiToken;
        topAlbumsSource = baseStoreURL + "?category=album&genre=" + context + "&format=json&orderby=recentdownloads&sortorder=ascend&itemsperpage=20&token=" + papiToken;
    }

    function viewInit () {
        genreName = genreListModel.get(0).genre;

        threeTrackPromo.label1 = genreListModel.get(0).artistName
        threeTrackPromo.image1URL = genreListModel.get(0).albumArt200
        threeTrackPromo.link1ID = genreListModel.get(0).dataProductID
        threeTrackPromo.label2 = genreListModel.get(1).artistName
        threeTrackPromo.image2URL = genreListModel.get(1).albumArt200
        threeTrackPromo.link2ID = genreListModel.get(1).dataProductID
        threeTrackPromo.label3 = genreListModel.get(2).artistName
        threeTrackPromo.image3URL = genreListModel.get(2).albumArt200
        threeTrackPromo.link3ID = genreListModel.get(2).dataProductID
        threeTrackPromo.label4 = genreListModel.get(3).artistName
        threeTrackPromo.image4URL = genreListModel.get(3).albumArt200
        threeTrackPromo.link4ID = genreListModel.get(3).dataProductID
        threeTrackPromo.label5 = genreListModel.get(4).artistName
        threeTrackPromo.image5URL = genreListModel.get(4).albumArt200
        threeTrackPromo.link5ID = genreListModel.get(4).dataProductID
        threeTrackPromo.label6 = genreListModel.get(5).artistName
        threeTrackPromo.image6URL = genreListModel.get(5).albumArt200
        threeTrackPromo.link6ID = genreListModel.get(5).dataProductID


        //console.log("hiddenListItems = " + hiddenListItems);
    }

    //Set the model sources on view init so that request is not refired when the navstack item is removed on backward navigation
    Component.onCompleted: init();


    ListModel {
        id: genreListModel
        Component.onCompleted: StoreAPI.getGenreData(topSongsSource, genreListModel, viewInit, appRoot.apiError);
    }

    contentWidth: childrenRect.width
    contentHeight: viewRoot.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Rectangle {
        id: viewRoot
        height: childrenRect.height
        width: scroller.width
        color: "#00FFFFFF"


        Header1 {
            id: viewHeader
            headerText: genreName
        }

        ThreeTrackPromo {
            id: threeTrackPromo
            anchors.top: viewHeader.bottom
            width: parent.width
        }

        Row {
            id: buttonRow
            anchors.top: threeTrackPromo.bottom
            anchors.topMargin: 15
            anchors.horizontalCenter: parent.horizontalCenter

            function switchToSongs() {
                songsBtn.selected = true;
                albumsBtn.selected = false;
                //genrePromoModel.source = genreListModel.source = topSongsSource;
                StoreAPI.getGenreData(topSongsSource, genreListModel, viewInit, appRoot.apiError);
            }

            function switchToAlbums() {
                albumsBtn.selected = true;
                songsBtn.selected = false;
                //genrePromoModel.source = genreListModel.source = topAlbumsSource;
                StoreAPI.getGenreData(topAlbumsSource, genreListModel, viewInit, appRoot.apiError);
            }

            Button {
                id: songsBtn

                btnPosition: "left"
                groupSize: 2
                selected: true
                labelText: "Songs"
                onClicked: if (selected != true) {
                    buttonRow.switchToSongs();
                }
            }

            Image {
                width: 1
                source: "../Resources/btnGrp-2-Divider.png"
                height: 52
            }

            Button {
                id: albumsBtn

                btnPosition: "right"
                groupSize: 2
                selected: false
                labelText: "Albums"
                onClicked: if (selected != true) {
                    buttonRow.switchToAlbums();
                }
            }
        }

        ListView {
            id: productsList

            anchors.top: buttonRow.bottom
            anchors.topMargin: 15

            height: childrenRect.height
            width: parent.width
            model: genreListModel
            delegate: genreItem
            interactive: false

            Component {
                id: genreItem

                ProductLink {
                    id: productLink

                    visible: (index < hiddenListItems) ? false : true
                    height: (index < hiddenListItems) ? 0 : 90

                    linkText1: name
                    linkText2: artistName;
                    linkText3: (duration == "") ? trackCount + " tracks" : DurationConverter.convert(duration)
                    packshotUrl: albumArt100
                    onClicked: appRoot.switchView("Product.qml", "forward", dataProductID)
                }
            }
        }
    }
}
