import Qt 4.7
import "../UIComponents"

import "../API/StoreAPI.js" as StoreAPI

Flickable {
    id: scroller

    property string genresListSource: "";

    function init () {
        genresListSource = baseStoreURL + "genres/?format=json&token=" + papiToken;
        //console.log("got genresListSource as: " + genresListSource);
    }

    function viewInit () {
        //console.log("genresListCB called");
    }

    //Set the model sources on view init so that request is not refired when the navstack item is removed on backward navigation
    Component.onCompleted: init();

    ListModel {
        id: genresListModel
        Component.onCompleted: StoreAPI.getGenresList(genresListSource, genresListModel, viewInit, appRoot.apiError);
    }

    contentWidth: childrenRect.width
    contentHeight: viewRoot.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Rectangle {
        id: viewRoot
        height: childrenRect.height
        width: scroller.width
        color: "#00FFFFFF"

        Header1 {
            id: viewHeader
            headerText: "Genres"
        }

        HorizontalRule {
            id: headerRule
            anchors.top: viewHeader.bottom
            width: parent.width
        }

        ListView {
            id: genresList

            Component {
                id: genreItem

                Link1 {
                    id: genresLink
                    linkText1: name
                    width: parent.width
                    onClicked: appRoot.switchView("Genre.qml", "forward", genreID)
                }
            }
            interactive: false
            anchors.top: headerRule.bottom
            height: childrenRect.height
            width: parent.width
            model: genresListModel
            delegate: genreItem
        }
    }
}
