import Qt 4.7
import "../UIComponents"
import "../Converters/durationConverter.js" as DurationConverter

import "../API/StoreAPI.js" as StoreAPI

Flickable {
    id: scroller

    property int hiddenListItems: (orientation == "portrait") ? 3 : 6

    function populatePromo () {
        threeTrackPromo.label1 = homeModel.get(0).artistName
        threeTrackPromo.image1URL = homeModel.get(0).albumArt200
        threeTrackPromo.link1ID = homeModel.get(0).dataProductID
        threeTrackPromo.label2 = homeModel.get(1).artistName
        threeTrackPromo.image2URL = homeModel.get(1).albumArt200
        threeTrackPromo.link2ID = homeModel.get(1).dataProductID
        threeTrackPromo.label3 = homeModel.get(2).artistName
        threeTrackPromo.image3URL = homeModel.get(2).albumArt200
        threeTrackPromo.link3ID = homeModel.get(2).dataProductID
        threeTrackPromo.label4 = homeModel.get(3).artistName
        threeTrackPromo.image4URL = homeModel.get(3).albumArt200
        threeTrackPromo.link4ID = homeModel.get(3).dataProductID
        threeTrackPromo.label5 = homeModel.get(4).artistName
        threeTrackPromo.image5URL = homeModel.get(4).albumArt200
        threeTrackPromo.link5ID = homeModel.get(4).dataProductID
        threeTrackPromo.label6 = homeModel.get(5).artistName
        threeTrackPromo.image6URL = homeModel.get(5).albumArt200
        threeTrackPromo.link6ID = homeModel.get(5).dataProductID
    }

    ListModel {
        id: homeModel
        Component.onCompleted: {
            StoreAPI.settings.setTerritory("gb");
            StoreAPI.loadCharts(StoreAPI.getTopTracksURI(), homeModel, populatePromo, appRoot.apiError);
        }
    }

    contentWidth: childrenRect.width
    contentHeight: viewRoot.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Rectangle {
        id: viewRoot
        height: childrenRect.height
        width: scroller.width
        color: "#00FFFFFF"

        Header1 {
            id: viewHeader
            headerText: "Ovi Music"
        }

        ThreeTrackPromo {
            id: threeTrackPromo

            anchors.top: viewHeader.bottom
            width: parent.width
        }

        Row {
            id: buttonRow
            anchors.top: threeTrackPromo.bottom
            anchors.topMargin: 15
            anchors.horizontalCenter: parent.horizontalCenter


            function switchToSongs() {
                songsBtn.selected = true;
                albumsBtn.selected = false;
                StoreAPI.loadCharts(StoreAPI.getTopTracksURI(), homeModel, populatePromo, appRoot.apiError);
            }

            function switchToAlbums() {
                albumsBtn.selected = true;
                songsBtn.selected = false;
                StoreAPI.loadCharts(StoreAPI.getTopAlbumsURI(), homeModel, populatePromo, appRoot.apiError);
            }

            Button {
                id: songsBtn

                btnPosition: "left"
                groupSize: 2
                selected: true
                labelText: "Songs"
                onClicked: if (selected != true) {
                    buttonRow.switchToSongs();
                }
            }

            Image {
                width: 1
                source: "../Resources/btnGrp-2-Divider.png"
                height: 52
            }

            Button {
                id: albumsBtn

                btnPosition: "right"
                groupSize: 2
                selected: false
                labelText: "Albums"
                onClicked: if (selected != true) {
                    buttonRow.switchToAlbums();
                }
            }
        }

        ListView {
            id: productsList

            anchors.top: buttonRow.bottom
            anchors.topMargin: 15
            height: childrenRect.height
            width: parent.width
            model: homeModel
            delegate: homeItem
            interactive: false
            currentIndex: 2
            highlightFollowsCurrentItem: true

            Component {
                id: homeItem

                ProductLink {
                    id: productLink
                    visible: (index < hiddenListItems) ? false : true
                    height: (index < hiddenListItems) ? 0 : 90
                    linkText1: name
                    linkText2: artistName
                    linkText3: (typeof duration != "number") ? trackCount + " tracks" : DurationConverter.convert(duration)
                    packshotUrl: albumArt100
                    onClicked: appRoot.switchView("Product.qml", "forward", dataProductID)
                }
            }
        }
    }
}
