import Qt 4.7
import "../UIComponents"
import "../Converters/parameterInsertion.js" as ParameterInsertion

Flickable {
    id: scroller

    contentWidth: childrenRect.width
    contentHeight: viewRoot.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Item {
        id: viewRoot
        width: appRoot.width
        height: childrenRect.height

        Header1 {
            id: viewHeader
            headerText: "More"
        }

        HorizontalRule {
            id: headerRule
            anchors.top: viewHeader.bottom
            width: parent.width
        }

        Column {
            id: linksColumn
            anchors.top: headerRule.bottom
            height: childrenRect.height
            width: parent.width

            Link1 {
                id: accountLink
                linkText1: "Account"
                onClicked: appRoot.switchView("NotImplemented.qml", "forward", "")
            }
            Link1 {
                id: downloadsLink
                linkText1: ParameterInsertion.insertParams("Downloads ({0} ongoing)", [ongoingDownloads])
                onClicked: appRoot.switchView("NotImplemented.qml", "forward", "")
            }
            Link1 {
                id: purchaseHistoryLink
                linkText1: "Purchase history"
                onClicked: appRoot.switchView("NotImplemented.qml", "forward", "")
            }
            Link1 {
                id: helpLink
                linkText1: "Help"
                onClicked: appRoot.switchView("NotImplemented.qml", "forward", "")
            }
            Link1 {
                id: termsLink
                linkText1: "Terms of use"
                onClicked: appRoot.switchView("NotImplemented.qml", "forward", "")
            }
            Link1 {
                id: territoryLink
                linkText1: "Change Territory"
                onClicked: appRoot.switchView("TerritoryChange.qml", "forward", "")
            }
        }

    }

}
