import Qt 4.7
import "../UIComponents"

Flickable {
    id: scroller

    contentWidth: childrenRect.width
    contentHeight: childrenRect.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Item {
        id: viewRoot
        width: appRoot.width
        height: childrenRect.height

        Header1 {
            id: viewHeader
            headerText: "Not Implemented"
        }

        HorizontalRule {
            id: headerRule
            anchors.top: viewHeader.bottom
            width: parent.width
        }

        Text {
            id: notImplementedText
            x: 15
            anchors.top: headerRule.bottom
            anchors.topMargin: 15
            width: parent.width - 30
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            text: "This feature has not yet been implemented."
            font.pixelSize: 20
            font.family: "Nokia Standard Light"
            color: "#000000"
        }

        Link1 {
            id: linkBack
            anchors.top: notImplementedText.bottom
            width: parent.width
            linkText1: "Go back to previous view"
            onClicked: appRoot.switchView("", "back", "")
        }
    }

}
