import Qt 4.7
import "../UIComponents"

Flickable {
    id: scroller

    XmlListModel {
        id: genresListModel
        query: "/service/workspace/collection"
        source: baseStoreURL + "playlists/?format=xml&token=" + papiToken;
        namespaceDeclarations: "declare default element namespace 'http://www.w3.org/2007/app'; declare namespace oms='http://api.music.ovi.com/1.0/schema'; declare namespace app='http://www.w3.org/2007/app'; declare namespace a10='http://www.w3.org/2005/Atom';"

        XmlRole { name: "playlistTitle"; query: "a10:title/string()" }
        XmlRole { name: "playlistURI"; query: "@href/string()" }
    }

    contentWidth: childrenRect.width
    contentHeight: viewRoot.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Rectangle {
        id: viewRoot
        height: childrenRect.height
        width: scroller.width
        color: "#00FFFFFF"

        Header1 {
            id: viewHeader
            headerText: "Playlists"
        }

        HorizontalRule {
            id: headerRule
            anchors.top: viewHeader.bottom
            width: parent.width
        }

        Text {
            id: infoText
            x: 15
            visible: (genresList.count == -1) ? true : false
            anchors.top: headerRule.bottom
            anchors.topMargin: 15
            width: parent.width - 30
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            text: "Sorry, there are no playlists available in this territory"
            font.pixelSize: 20
            font.family: "Nokia Standard Light"
            color: "#000000"
        }

        ListView {
            id: genresList

            Component {
                id: genreItem

                Link1 {
                    id: genresLink
                    linkText1: playlistTitle
                    width: parent.width
                    onClicked: appRoot.switchView("Playlist.qml", "forward", {playlistLocation: playlistURI, playlistName: playlistTitle})
                }
            }
            interactive: false
            anchors.top: headerRule.bottom
            height: childrenRect.height
            width: parent.width
            model: genresListModel
            delegate: genreItem
        }
    }
}
