import Qt 4.7
import "../UIComponents"
import "../Converters/durationConverter.js" as DurationConverter

Flickable {
    id: scroller

    interactive: false
    contentWidth: childrenRect.width
    contentHeight: viewRoot.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    XmlListModel {
        id: searchModel
        query: "/feed/entry"
        source: (searchInput.text.length > 2) ? baseStoreURL + "?q=" + searchInput.text + "&format=xml&itemsperpage=100&token=" + papiToken : "";
        namespaceDeclarations: "declare default element namespace 'http://www.w3.org/2005/Atom'; declare namespace oms=\"http://api.music.ovi.com/1.0/schema\";"

        XmlRole { name: "resultType"; query: "@oms:type/string()" }
        XmlRole { name: "trackCount"; query: "oms:metadata/trackcount/string()" }
        XmlRole { name: "name"; query: "oms:metadata/sortname/string()" }
        XmlRole { name: "artistName"; query: "oms:metadata/primaryartist[1]/string()" }
        XmlRole { name: "genreName"; query: "oms:metadata/genre/string()" }
        XmlRole { name: "duration"; query: "oms:metadata/duration/string()" }
        XmlRole { name: "albumArt100"; query: "link[@title=\"albumart100\"]/@href/string()" }
        XmlRole { name: "dataProductID"; query: "oms:metadata/id/string()" }
    }

    Item {
        id: viewRoot
        width: appRoot.width
        height: viewsContainer.height

        Image {
            id: searchInputBox
            source: "../Resources/searchBox.png"
            anchors.horizontalCenter: parent.horizontalCenter

            Text {
                visible: (searchInput.text == "" && searchInput.activeFocus == false) ? true : false
                anchors.top: parent.top
                anchors.topMargin: 22
                anchors.left: parent.left
                anchors.leftMargin: 35
                text: "Search Ovi Music"
                color: "#B3B3B3"
                font.pixelSize: 25
                font.family: "Nokia Standard Light"
            }

            TextInput {
                id: searchInput
                height: 30
                width: parent.width - 70
                anchors.top: parent.top
                anchors.topMargin: 22
                anchors.left: parent.left
                anchors.leftMargin: 35
                font.pixelSize: 25
                font.family: "Nokia Standard Light"
            }
        }

        ListView {
            model: searchModel
            delegate: searchItem
            width: parent.width
            height: viewRoot.height - searchInputBox.height
            anchors.top: searchInputBox.bottom
            clip: true
            interactive: true

            Component {
                id: searchItem
                ProductLink {
                    packshotUrl: (resultType == "musicartist") ? "../Resources/artistPackshot.png" : albumArt100
                    linkText1: name
                    linkText2: (resultType == "musicartist") ? genreName : artistName
                    linkText3: if (resultType == "musiccollection") {
                        trackCount + " tracks"
                    } else if (resultType == "musictrack") {
                        DurationConverter.convert(duration)
                    } else {
                        ""
                    }
                    onClicked: (resultType == "musicartist") ? appRoot.switchView("Artist.qml", "forward", dataProductID) : appRoot.switchView("Product.qml", "forward", dataProductID)
                }
            }
        }
    }
}
