import Qt 4.7
import "../UIComponents"

Flickable {
    id: scroller

    contentWidth: childrenRect.width
    contentHeight: childrenRect.height
    flickableDirection: Flickable.VerticalFlick
    boundsBehavior: Flickable.StopAtBounds
    clip: true

    Item {
        id: viewRoot
        width: appRoot.width
        height: childrenRect.height

        Header1 {
            id: viewHeader
            headerText: "Change Territory"
        }

        HorizontalRule {
            id: headerRule
            anchors.top: viewHeader.bottom
            width: parent.width
        }

        Text {
            id: infoText
            x: 15
            anchors.top: headerRule.bottom
            anchors.topMargin: 15
            width: parent.width - 30
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            text: "Select your territory using the buttons below."
            font.pixelSize: 20
            font.family: "Nokia Standard Light"
            color: "#000000"
        }

        Button {
            id: gbBtn
            labelText: "United Kingdom"
            anchors.top: infoText.bottom
            anchors.topMargin: 10
            anchors.horizontalCenter: parent.horizontalCenter
            onClicked: appRoot.changeTerritory("gb")
        }

        Button {
            id: myBtn
            labelText: "Malaysia"
            anchors.top: gbBtn.bottom
            anchors.topMargin: 10
            anchors.horizontalCenter: parent.horizontalCenter
            onClicked: appRoot.changeTerritory("my")
        }

        Button {
            id: inBtn
            labelText: "India"
            anchors.top: myBtn.bottom
            anchors.topMargin: 10
            anchors.horizontalCenter: parent.horizontalCenter
            onClicked: appRoot.changeTerritory("in")
        }

    }

}
